Username: Password: Remember me
Search Criteria Advanced
Package Details

cairo-cleartype 1.8.8-3
http://cairographics.org/
Cairo vector graphics library with cleartype patch

unsupported :: lib
Maintainer: leemars
Votes: 310

License: LGPL MPL

Last Updated: Mon, 01 Feb 2010 03:09:23 +0000
First Submitted: Sun, 14 Jan 2007 05:44:26 +0000

Tarball :: Files :: PKGBUILD

Dependencies fontconfig>=2.6.0 libpng>=1.2.33 libxrender pixman>=0.12.0 xcb-util>=0.3.2

Sources
cairo-1.2.4-lcd-cleartype-like.diff
cairo-respect-fontconfig.patch
http://cairographics.org/releases/cairo-1.8.8.tar.gz
Comment by: Hador on Tue, 02 Feb 2010 22:08:13 +0000
nevermind, I must have stumbled on some not-so-up-to-date mirror which was causing problems, I tried compiling your PKGBUILD again today and all is fine.
Keep up the good work ;-)

Regards
Andrea
Comment by: leemars on Tue, 02 Feb 2010 10:44:24 +0000
to Hador: could you explain it with more detail? I can compile it and I use this way to workaround another same type package(cairo-ubuntu) and it seems all right.
Comment by: Hador on Mon, 01 Feb 2010 14:18:31 +0000
replace line:27 with

sed -i -e 's/libpng1[0-9]/libpng14/' ./configure || return 1

else this is going to cause a lot of problems, expecially compiling stuff due to a broken .pc
Comment by: leemars on Mon, 01 Feb 2010 03:10:11 +0000
Updated. Sorry for my late response.
Comment by: Yaro on Mon, 01 Feb 2010 01:57:40 +0000
Can you bump the package release version to force a rebuild for the new libjpeg and libpng?
Comment by: hungerfish on Wed, 27 Jan 2010 08:56:48 +0000
This needs an additional line taken from comment on http://aur.archlinux.org/packages.php?ID=16459:

sed -i -e 's/libpng13/libpng14/g' configure || return 1

just above the ./configure
Comment by: Mr.Tao on Mon, 27 Jul 2009 20:22:40 +0000
I do specify per-font hinting in /etc/fonts/local.conf which cairo unfortunately does not honour [1], therefore gnome apps looks suboptimal. There is tiny patch to address this issue [2]. I tried to modify original PKGBUILD and it applies neatly and works like a charm.

<=x== PKGBUILD ==x=>
--- PKGBUILD.original 2009-07-04 22:21:35.000000000 +0200
+++ PKGBUILD 2009-07-27 19:12:40.460859064 +0200
@@ -14,13 +14,16 @@ provides=("cairo=${pkgver}")
makedepends=('pkgconfig')
options=('!libtool')
source=(http://cairographics.org/releases/cairo-${pkgver}.tar.gz
- cairo-1.2.4-lcd-cleartype-like.diff)
+ cairo-1.2.4-lcd-cleartype-like.diff
+ cairo-respect-fontconfig.patch)
md5sums=('d3e1a1035ae563812d4dd44a74fb0dd0'
- 'de7cccfcca8e686bca039a985436548e')
+ 'de7cccfcca8e686bca039a985436548e'
+ '79f7c141c49f3d65ab308cc706d50914')

build() {
cd ${srcdir}/cairo-${pkgver}
patch -Np1 -i ${srcdir}/cairo-1.2.4-lcd-cleartype-like.diff || return 1
+ patch -Np1 -i ${srcdir}/cairo-respect-fontconfig.patch || return 1
./configure --prefix=/usr --sysconfdir=/etc \
--localstatedir=/var --enable-xcb --disable-static || return 1
make || return 1
<======>

[1] http://forums.fedoraforum.org/showpost.php?p=1094356&postcount=57
[2] http://bugs.freedesktop.org/show_bug.cgi?id=11838
Comment by: leemars on Sat, 04 Jul 2009 20:24:02 +0000
- Fixed the provides problem. Sorry again.
Comment by: fettouhi on Sat, 04 Jul 2009 09:27:21 +0000
I fixed it by changing provides=('cairo=${pkgver}') to provides=('cairo=1.8.8').

Regards

André

Comment by: cipparello on Sat, 04 Jul 2009 09:24:21 +0000
Hi leemars,
the provides clause is faulty again; back on single quotes instead of double...

fettouhi you can solve your problem by changing the clause in PKGBUILD to provides=("cairo=${pkgver}")
Comment by: fettouhi on Sat, 04 Jul 2009 09:16:06 +0000
I get this warning with the new version (1.8.8) of cairo-cleartype

missing dependency for cairo-perl : cairo>=1.8.6
missing dependency for cairomm : cairo>=1.8.6
missing dependency for ghostscript : cairo>=1.8.6
missing dependency for libgdiplus : cairo>=1.8.6
missing dependency for pango : cairo>=1.8.8
missing dependency for poppler : cairo>=1.8.6
missing dependency for pycairo : cairo>=1.8.6
Comment by: leemars on Sat, 04 Jul 2009 03:01:45 +0000
- Updated to 1.8.8

I'm not sure whether the patch still worked. It haven't been updated for a long time and seems be deprecated.
Comment by: mechmg93 on Fri, 03 Jul 2009 09:50:25 +0000
is it possible for an updated version??

cairo 1.8.8. is out.

i created myself a newer version based on this pkgbuild by changing version and md5sums, but is the patch applied to this version?
Comment by: colbert on Fri, 12 Jun 2009 03:45:32 +0000
Thanks! No biggie mate! Works.
Comment by: leemars on Fri, 12 Jun 2009 01:29:28 +0000


- Updated to 1.8.6-3

Sorry for my stupid mistake..
Comment by: colbert on Thu, 11 Jun 2009 23:17:56 +0000
After building I get:

loading package data...
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: cairo-perl: requires cairo>=1.8.6
:: cairomm: requires cairo>=1.8.6
:: ghostscript: requires cairo>=1.8.6
:: libgdiplus: requires cairo>=1.8.6
:: pango: requires cairo>=1.8.6
:: poppler: requires cairo>=1.8.6
:: pycairo: requires cairo>=1.8.6
Comment by: cipparello on Thu, 11 Jun 2009 14:24:07 +0000
Hi leemars,
the 'provides' clause is incorrect; you used the single quotes in place of double qoutes that allow shell expansion.

The correct syntax is provides=("cairo=$pkgver") as already done in the package libxft-cleartype.

Bye
Comment by: agihr on Thu, 11 Jun 2009 13:59:43 +0000
After yaourt -Syu --aur I get:

missing dependency for cairomm : cairo>=1.8.6
missing dependency for ghostscript : cairo>=1.8.6
missing dependency for libgdiplus : cairo>=1.8.6
missing dependency for pango : cairo>=1.8.6
missing dependency for poppler : cairo>=1.8.6
missing dependency for pycairo : cairo>=1.8.6
missing dependency for ruby-rcairo : cairo>=1.2.0
Comment by: leemars on Thu, 11 Jun 2009 03:27:45 +0000
Thanks for your advice!

- Minor update for PKGBUILD.
Comment by: cipparello on Wed, 10 Jun 2009 20:00:44 +0000
Hi leemars,
in the PKGBUILD about the patch command the source .diff is referenced from path ${startdir}/ instead of ${startdir}/src (or better ${srcdir}/ for src and ${pkgdir}/ for pkg directory).

And (as you do already in your other package libxft-cleartype) you should reference in the 'provides' clause the version by variable to avoid possible future version mismatch between package version and the clause as provides=("cairo=$pkgver")

Thanks for the useful package.
Regards
cipparello


Comment by: leemars on Mon, 22 Dec 2008 06:37:53 +0000
- Bumped to 1.8.6
Comment by: fettouhi on Sun, 21 Dec 2008 16:13:28 +0000
Cairo 1.8.6 is out.

Regards

André
Comment by: leemars on Mon, 01 Dec 2008 03:15:51 +0000
oops.. Fixed. Sorry for my mistake. >.<
Comment by: ProfessorTomoe on Sun, 30 Nov 2008 16:04:01 +0000
Question - should the provides=('cairo=1.8.0') in the current PKGBUILD be updated to provides=('cairo=1.8.4') now?

The X.Org 7.4 upgrade that went into extra today won't install because of a conflict between cairo and cairo-cleartype. They're both at version 1.8.4, so would updating the provides line in the -cleartype package fix this?
Comment by: leemars on Mon, 24 Nov 2008 02:30:19 +0000
- Updated to 1.8.4
Comment by: leemars on Thu, 06 Nov 2008 16:20:37 +0000
- Updated to 1.8.2
Comment by: leemars on Mon, 29 Sep 2008 14:22:51 +0000
- Adjust the compile parameters.
Comment by: leemars on Sun, 28 Sep 2008 08:32:24 +0000
I'm so sorry for that... :-(

I'll keep to upgrade these -cleartype packages. However, there are better choices such as -lcd packages, or -ubuntu packages, maybe.

Just choose for yourself.
Comment by: axelgenus on Sun, 28 Sep 2008 08:21:41 +0000
Can you please stop writing whatever language is that? Here english should be the default language... ;)
Comment by: zhuqin on Sun, 28 Sep 2008 02:26:51 +0000
freetype2(源里) + libxft-lcd(源里) + fontconfig (源里) + fontconfig-lcd(只是添加了一个必需的文本文件而已) + cairo-lcd。
所以真正需要自己编译的只有cairo。
Comment by: leemars on Sun, 28 Sep 2008 02:14:32 +0000
我确认过-cleartype补丁和官方的效果上有区别。

编译参数是因为我没有及时跟进。

还请你说明一下,现在最好的方式是怎么搭配这几个库,用哪个版本的:libxft、cairo、freetype2、fontconfig。

Comment by: zhuqin on Sat, 27 Sep 2008 17:26:20 +0000
首先我也没有针对你的意思,只是觉得没有必要搞那么多类似的东西。
其次我两者都用过,确实没什么区别。
你也完全可以将这个patch和官方(sir上有)的对比一下,缺失了很多必要部分。这样一来的话就没有什么卖点了。
还有,编译参数也不全(对比testing中的)。
freetype2-cleartype也是没有必要的,源里的最新版已经包含了lcd的补丁,你可以对比着看源码。
Comment by: leemars on Sat, 27 Sep 2008 17:07:37 +0000
请仔细对比结果之后再发表言论。谢谢。
Comment by: zhuqin on Sat, 27 Sep 2008 15:43:28 +0000
这个包以及相关的还有存在的必要么?类似的也太多了,lcd, gentoo, ubuntu等等,lcd那个比较官方,你的patch还那么陈旧。视觉上也没有任何区别。
Comment by: leemars on Sat, 27 Sep 2008 15:39:35 +0000
- Version bumped to 1.8.0


Comment by: leemars on Thu, 26 Jun 2008 07:37:01 +0000
- Updated to 1.6.4

Sorry for updating so late...
Comment by: SaneOne on Sat, 03 May 2008 22:47:31 +0000
Are you going to release 1.6.4 version?
Comment by: Alsvartr on Fri, 11 Apr 2008 13:35:27 +0000
1.6.0 is out.
Comment by: Alsvartr on Thu, 03 Apr 2008 06:30:36 +0000
I suggest adding 'cairo=1.4.14' in provides section instead of 'cairo 1.4.14' (as eplained here: http://archlinux.org/pipermail/aur-general/2008-January/006727.html). Otherwise you get an "cairo conflicts with cairo-cleartype" error when updating some packages (firefox3 for example).
Comment by: zhuqin on Sun, 17 Feb 2008 10:37:06 +0000
what's the diff between cairo-lcd and this one?
Comment by: leemars on Sun, 17 Feb 2008 09:37:56 +0000
Updated to 1.4.14
Comment by: jacko on Sun, 13 Jan 2008 14:09:49 +0000
http://bbs.archlinux.org/viewtopic.php?id=42219

Here is the thread and what seems to be the solution.

U need update the provides line with the version of the cairo package. Pacman 3.1, which was moved to core repo today, has now got version control support.

I guess I understood that to be the problem.
Comment by: leemars on Thu, 27 Dec 2007 07:13:51 +0000
Updated to 1.4.12
Comment by: jacko on Wed, 12 Dec 2007 17:56:01 +0000
I get the same error as the second post below mine. 'isspace' error, though I tried to follow his instructions to fix it and it still fails.

This does not work on every machine apparently.
Comment by: smurnjiff on Fri, 07 Sep 2007 01:58:50 +0000
I can confirm that this works with cario-1.4.10
Comment by: ech0s7 on Mon, 06 Aug 2007 18:33:12 +0000
Hello, there is one bug in the package. If you try to compile with makepkg, it return error:"cairo-type1-subset.c:376: error: implicit declaration of function 'isspace'"

To fix it:
1) run "makepkg -o"
2) open the file src/cairo-type1-subset.c, and include #include < ctype.h >
3) run "makepkg -e"

Now you can try to install it, with pacman -U.
Comment by: nasenbaer on Fri, 25 May 2007 19:48:17 +0000
# Maintainer: freedom <zhanglin22000@gmail.com>
pkgname=cairo-cleartype
pkgver=1.4.6
pkgrel=1
pkgdesc="Cairo vector graphics library with cleartype patch"
arch=(i686 x86_64)
url="http://cairographics.org/"
depends=('libpng' 'libxrender' 'fontconfig')
conflicts=('cairo')
provides=('cairo')
makedepends=('pkgconfig')
options=('nolibtool')
source=(http://cairographics.org/releases/cairo-${pkgver}.tar.gz \
cairo-1.2.4-lcd-cleartype-like.diff)
md5sums=('ae16e73f9dca46ac93b4ce435e93773c' 'de7cccfcca8e686bca039a985436548e')
build() {
cd ${startdir}/src/cairo-${pkgver}
patch -Np1 -i ${startdir}/cairo-1.2.4-lcd-cleartype-like.diff || return 1
./configure --prefix=/usr
make || return 1
make DESTDIR=${startdir}/pkg install
}
Comment by: nasenbaer on Fri, 25 May 2007 19:47:55 +0000
1.4.6 is out
Comment by: artofegg on Tue, 20 Mar 2007 14:25:58 +0000
Up to 1.4.0
Comment by: manmower on Sat, 10 Mar 2007 21:53:37 +0000
Tested and working with Cairo 1.4.0
Comment by: artofegg on Sun, 11 Feb 2007 00:26:43 +0000
Upgrade cairo to 1.2.6
Comment by: nasenbaer on Wed, 07 Feb 2007 03:17:37 +0000
I\'ve never submitted a package but try this page:
http://aur.archlinux.org/pkgsubmit.php

if it doesn\'t work, post the tarball to the AUR mailing list and they\'ll definitely give you the instructions (and maybe do it for you)
Comment by: artofegg on Tue, 06 Feb 2007 09:04:24 +0000
I have changed PKGBUILD , how to upload ?
Comment by: manmower on Sat, 27 Jan 2007 19:13:49 +0000
All that needs to happen is to change pkgver to 1.2.6 and update the md5sum for the new sources.

Thanks again for these great patches by te way!
Comment by: artofegg on Thu, 25 Jan 2007 03:14:22 +0000
I should upgrade packages when old one in trouble.
Comment by: manmower on Mon, 22 Jan 2007 00:18:13 +0000
Yep, works with the latest Cairo version with minor changes to the PKGBUILD. Thanks for sharing all 3 of the cleartype-patches, they put a smile on my face. Fonts are finally looking as good as I want them to!
Comment by: nasenbaer on Sun, 14 Jan 2007 20:34:47 +0000
the patch applies just fine to cairo 1.2.6
Comment by: artofegg on Sun, 14 Jan 2007 05:44:26 +0000
ClearType Font Drawing

v1.6.0